import React, { useContext } from 'react';
import { Route, Routes } from 'react-router-dom';
import LoginForm from './components/LoginForm';
import Main from './Main';
import VideoPlayer from './components/VideoPlayer';
import {  AuthProvider } from './AuthContext';
import ConfigContext, { config } from './Config';
import Bar from './components/Bar';

const App = () => {
  return (
    <ConfigContext.Provider value={config}>
      <AuthProvider>
        <AppContent />
      </AuthProvider>
    </ConfigContext.Provider>
  );
};

const AppContent = () => {
 
 
  return (
    <>
      <Bar></Bar>

      <Routes>
        <Route path="/login" element={<LoginForm />} />
        <Route path="/" element={<Main />} />
        <Route path="/res/:filename" element={<VideoPlayer />} />
      </Routes>
    </>
  );
};

export default App;